Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157067 - Palm Pilots not accessible
Summary: Palm Pilots not accessible
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: udev
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-06 16:12 UTC by Bastien Nocera
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-11 10:15:25 UTC


Attachments (Terms of Use)

Description Bastien Nocera 2005-05-06 16:12:25 UTC
Plug in a USB Palm, and press the hotsync button.
The ttyUSB[0-1] devices aren't accessible by the console user.

Right now, I use:
BUS="usb", SYSFS{idVendor}="0830", SYSFS{idProduct}="0061", NAME="pilot%n"
in a udev rules file, which is obviously not enough to make all the USB Palms
work. Getting the list of devices using the "visor" driver from
/lib/modules/<kernelver>/modules.usbmap would probably be pretty complete.

Note: /etc/security/console.perms from pam would need to be modified to handle
more than one Palm.

Comment 1 Harald Hoyer 2005-05-09 12:00:22 UTC
The palm reconnects itsself to the USB kernel layer after you press the hotsync
button.
See also http://fedora.redhat.com/docs/udev/

Comment 2 Bastien Nocera 2005-05-09 12:49:03 UTC
I know, but given that the Palm doesn't get a name different from "ttyUSBX", we
can't tell whether the created device node is a USB modem, a Palm, or another
serial adaptor of some kind.
That's why some differentiation at the udev level is needed.

Comment 3 Harald Hoyer 2005-05-09 16:45:04 UTC
HAL?

Comment 4 Bastien Nocera 2005-05-10 21:45:07 UTC
HAL doesn't modify permissions, does it?

Comment 5 David Zeuthen 2005-05-10 21:56:54 UTC
It doesn't do this yet, no

Comment 6 David Zeuthen 2005-05-10 21:58:22 UTC
For a quick fix I would look for the "visor" driver in my udev rules (udev rule
should create the pilot symlink and then pam-console-apply does the right thing
for /dev/pilot).

Comment 7 Harald Hoyer 2005-05-11 10:15:25 UTC
We are now at the point where we can create various udev/pam_console config drop
ins for hardware. I started to document this and will publish it on our fedora
homepage.

I will add it to the udev core. This may be a noarch.rpm with some configs.


Note You need to log in before you can comment on or make changes to this bug.